# Works with either ElementTree or python-lxml
%global modname OWSLib
%define module  owslib

Name:           python-%{modname}
Version:        0.25.0
Release:        %mkrel 2
Summary:        Client library for OGC web services
License:        BSD
URL:             https://geopython.github.io/OWSLib
Source0:      https://pypi.io/packages/source/o/owslib/%{modname}-%{version}.tar.gz
BuildArch:    noarch
Group:          Development/Python

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-pyproj

%global _description\
Package for client programming with Open Geospatial Consortium (OGC) web\
service (hence OWS) interface standards, and their related content models.

%description %_description

%package -n python3-OWSLib
Summary:        Client library for OGC web services

Requires:       python3-dateutil
Requires:       python3-pyproj
Requires:       python3-pytz
Requires:       python3-requests

%description -n python3-OWSLib
Package for client programming with Open Geospatial Consortium (OGC) web
service (hence OWS) interface standards, and their related content models.

%prep
%setup -q -n %{modname}-%{version}
rm -rf %{modname}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-OWSLib
%doc README.rst CHANGES.rst AUTHORS.rst
%{python3_sitelib}/owslib
%{python3_sitelib}/%{modname}-%{version}-py*.egg-info

%changelog
* Sat Apr 09 2022 TerryN <terryn94 at gmail.com> 0.25.0-2pclos2022
- rebuild for python 3.10

* Fri Feb 18 2022 pp - 0.25.0-1pclos2022

* Wed Jul 22 2020 pp - 0.17.1-1pclos2020
- update

* Mon Feb 18 2019 tex - 0.17.0-1pclos2019
- new
